# coding: utf-8

"""
    ABX Service - APIs

    Create or manage actions and their versions. Execute actions and flows.  This page describes the RESTful APIs for ABX Service. The APIs facilitate CRUD operations on creation and management of Actions and their Versions and also allow Execution of Actions and Flows.  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across ABX Service APIs.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/abx/api/resources/actions?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/abx/api/resources/actions?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/abx/api/resources/actions?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /abx/api/resources/actions?$filter=startswith(name, 'ABC')     /abx/api/resources/actions?$filter=toupper(name) eq 'ABCD-ACTION'     /abx/api/resources/actions?$filter=substringof(%27bc%27,tolower(name))     /abx/api/resources/actions?$filter=name eq 'ABCD' and actionType eq 'SCRIPT'   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PageActionSecretContent(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'name': 'str',
        'created_millis': 'int',
        'org_id': 'str',
        'value': 'object',
        'encrypted': 'bool'
    }

    attribute_map = {
        'id': 'id',
        'name': 'name',
        'created_millis': 'createdMillis',
        'org_id': 'orgId',
        'value': 'value',
        'encrypted': 'encrypted'
    }

    def __init__(self, id=None, name=None, created_millis=None, org_id=None, value=None, encrypted=None):  # noqa: E501
        """PageActionSecretContent - a model defined in Swagger"""  # noqa: E501
        self._id = None
        self._name = None
        self._created_millis = None
        self._org_id = None
        self._value = None
        self._encrypted = None
        self.discriminator = None
        if id is not None:
            self.id = id
        if name is not None:
            self.name = name
        if created_millis is not None:
            self.created_millis = created_millis
        if org_id is not None:
            self.org_id = org_id
        if value is not None:
            self.value = value
        if encrypted is not None:
            self.encrypted = encrypted

    @property
    def id(self):
        """Gets the id of this PageActionSecretContent.  # noqa: E501


        :return: The id of this PageActionSecretContent.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PageActionSecretContent.


        :param id: The id of this PageActionSecretContent.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def name(self):
        """Gets the name of this PageActionSecretContent.  # noqa: E501


        :return: The name of this PageActionSecretContent.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PageActionSecretContent.


        :param name: The name of this PageActionSecretContent.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def created_millis(self):
        """Gets the created_millis of this PageActionSecretContent.  # noqa: E501


        :return: The created_millis of this PageActionSecretContent.  # noqa: E501
        :rtype: int
        """
        return self._created_millis

    @created_millis.setter
    def created_millis(self, created_millis):
        """Sets the created_millis of this PageActionSecretContent.


        :param created_millis: The created_millis of this PageActionSecretContent.  # noqa: E501
        :type: int
        """

        self._created_millis = created_millis

    @property
    def org_id(self):
        """Gets the org_id of this PageActionSecretContent.  # noqa: E501


        :return: The org_id of this PageActionSecretContent.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this PageActionSecretContent.


        :param org_id: The org_id of this PageActionSecretContent.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def value(self):
        """Gets the value of this PageActionSecretContent.  # noqa: E501


        :return: The value of this PageActionSecretContent.  # noqa: E501
        :rtype: object
        """
        return self._value

    @value.setter
    def value(self, value):
        """Sets the value of this PageActionSecretContent.


        :param value: The value of this PageActionSecretContent.  # noqa: E501
        :type: object
        """

        self._value = value

    @property
    def encrypted(self):
        """Gets the encrypted of this PageActionSecretContent.  # noqa: E501


        :return: The encrypted of this PageActionSecretContent.  # noqa: E501
        :rtype: bool
        """
        return self._encrypted

    @encrypted.setter
    def encrypted(self, encrypted):
        """Sets the encrypted of this PageActionSecretContent.


        :param encrypted: The encrypted of this PageActionSecretContent.  # noqa: E501
        :type: bool
        """

        self._encrypted = encrypted

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PageActionSecretContent, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PageActionSecretContent):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
